update-motd.d symlinks are not listed as conffiles

Bug #559194 reported by LaMont Jones on 2010-04-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Software Updater
Invalid
Undecided
Unassigned
eucalyptus (Ubuntu)
Wishlist
Dustin Kirkland 
update-manager (Ubuntu)
Undecided
Michael Vogt
update-notifier (Ubuntu)
Wishlist
Dustin Kirkland 

Bug Description

Binary package hint: update-notifier

Because the files in update-motd.d are not listed as conffiles, removing them just means that they get restored on the next upgrade of the package.

This is WRONG. When I remove a symlink in /etc/update-motd.d, I want it to STAY GONE.

thanks

LaMont Jones (lamont) on 2010-04-09
Changed in update-notifier (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
Dustin Kirkland  (kirkland) wrote :

<cjwatson> kirkland: symlinks into /etc don't get to be conffiles
<kirkland> cjwatson: even if i add them manually to debian/conffiles ?
* ebroder (~<email address hidden>) has joined #ubuntu-devel
<cjwatson> it's not a good idea anyway IMO!
<cjwatson> it involves the user editing stuff in /usr indirectly
<cjwatson> I'd strongly recommend some different approach
<kirkland> cjwatson: okay, thanks
<kirkland> lamont: ^
<cjwatson> for example you could write trivial conffile scripts in /etc that exec the programs in /usr
<kirkland> cjwatson: yeah, that's what i'll have to do
<kirkland> cjwatson: shell scripts that exec, rather than symlinks

Dustin Kirkland  (kirkland) wrote :

Fixes committed to a branch at lp:~kirkland/update-notifier/559194.

Lamont (et al): please review and test thoroughly if you would like this to make Lucid GA.

Changed in update-notifier (Ubuntu):
status: New → In Progress
importance: Undecided → Wishlist
Dustin Kirkland  (kirkland) wrote :

Also, Lamont, please nominate it for Lucid, if you're happy with it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.99.2

---------------
update-notifier (0.99.2) lucid; urgency=low

  * 20-cpu-checker, 90-updates-available, 98-reboot-required,
    update-notifier-common.install, update-notifier-common.links:
    symlinking scripts into /etc/update-motd.d causes them *not*
    to be considered conffiles, so admins can't really edit or
    remove them to their liking; instead, install simple "exec"
    shell wrappers, LP: #559194
 -- Dustin Kirkland <email address hidden> Fri, 09 Apr 2010 12:44:13 -0500

Changed in update-notifier (Ubuntu):
status: In Progress → Fix Released
LaMont Jones (lamont) on 2010-04-13
affects: update-notifier → update-manager
Changed in update-manager:
status: New → Invalid
Changed in update-manager (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
Michael Vogt (mvo) wrote :

<lamont> mvo: update-manager-common delivers /etc/update-motd.d/91-release-upgrade as a symlink, rather than a file (which makes it not a conffile, and therefore it keeps coming back). Same bug, different package doing the delivery

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.134.2

---------------
update-manager (1:0.134.2) lucid; urgency=low

  * DistUpgrade/DistUpgradeMain.py:
    - ignore lspci errors
  * UpdateManager/Core/MyCache.py:
    - simplify url schema for third party changelogs (LP: #45129)
  * DistUpgrade/DistUpgradeCache.py:
    - check if the kernel returned from base-installer is downloadable
      (needed on hardy cdrom only upgrades)
  * debian/91-release-upgrade:
    - use a small script instead of a symlink to ensure that dpkg
      treats them as conffiles (LP: #559194)
 -- Michael Vogt <email address hidden> Tue, 13 Apr 2010 15:44:39 +0200

Changed in update-manager (Ubuntu):
status: New → Fix Released
Changed in eucalyptus (Ubuntu):
status: New → In Progress
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → Wishlist
Changed in eucalyptus (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eucalyptus - 1.6.2-0ubuntu30

---------------
eucalyptus (1.6.2-0ubuntu30) lucid; urgency=low

  * Cherry-pick merge from upstream 1.6.2, now on revision 1222
    - LP: #552883 - r1222, fix volume statistics
    - LP: #552829 - r1221, fix volume state
    - LP: #552115 - r1220, fix node registration when nc+cc colocated
    - LP: #551778 - r1219, fix sc documentation
    - LP: #545000 - r1218, fix bad bucket name handling
  * debian/control: recommend qemu-kvm, rather than kvm
  * eucalyptus-cc.install, eucalyptus-cc.links, rules, 15-eucalyptus-url:
    - relocate the help text and url to just after the 10-help-text links,
      and before 50-landscape-sysinfo, which should come after; also,
      install the script as a conffile in /etc, rather than a symlink
      which allows the admin to modify it without upgrades automatically
      stomping local changes, LP: #559194
  * 15-eucalyptus-url, eucalyptus-cc.install, eucalyptus-common.install:
    install in the eucalyptus-common package, improve logic of determining
    if on CLC
 -- Dustin Kirkland <email address hidden> Wed, 14 Apr 2010 13:48:48 -0500

Changed in eucalyptus (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers